`build-iso.sh` Parameters
=========================

--------------------------

`build-iso.sh` is the master script that drives the other scripts.
While you can use the other scripts directly, it is convenient to use
this master script to drive the usual build process, unless you want 
to do things that build-iso.sh can't do.

`build-iso.sh` comes with a lot of options and can do a lot of things.

1. To build a standard BIOS/UEFI ISO (like standard Fatdog64):
`./build-iso.sh iso`

2. To build a standard BIOS/UEFI ISO with small initrd (basesfs outside initrd):
`./build-iso.sh iso small`

3. To build BIOS-only ISO with small initrd, using syslinux bootloader:
(The resulting ISO is a hydrid ISO and you can `dd`-ed it to a flash drive,
but you cannot boot it on UEFI systems).
`./build-iso.sh iso small isolinux`

4. To build BIOS-only ISO with small initrd, using grub4dos bootloader
(this ISO is not ISO hybrid and cannot be `dd`-ed into a flash drive).
`./build-iso.sh iso small grldr`

5. To build BIOS-only ISO with huge (standard/default) initrd, using syslinux bootloader:
`./build-iso.sh iso std isolinux`


------------------------------

6. To build initrd only (standard/huge)
`./build-iso.sh initrd`

7. To build small initrd only (standard/huge)
`./build-iso.sh initrd small`


-------------------------------

8. To build basesfs only
`./build-iso.sh base`

9. To build devx sfs only
`./build-iso.sh devx`

10. To build nls sfs only
`./build-iso.sh nls`

11. To build 32bit compatibility sfs only
`./build-iso.sh base32`

12. To build basesfs, devx sfs, and nls sfs together
`./build-iso.sh multi`

13. To build unsplit basesfs
`./build-iso.sh single`

Note: `unsplit basesfs` is a basesfs that contains all files in installed
packages, including header files, static libraries, locale and language
files, which usually are split into their own SFS. To build unsplit basesfs,
you need to populate sfs-pkglist (which is empty by default).


-------------------------------

Each time you want to build an ISO or an initrd, build-iso.sh will
rebuild the basesfs. If you already have a basesfs and you want to save
time and use it instead of rebuilding a new one, use environment
variable USE_EXISTING=1 before calling  build-iso.sh

For example, to build a standard BIOS/UEFI ISO without rebuilding basesfs:
`USE_EXISTING=1 ./build-iso.sh iso`






