#!/bin/dash
# attempt to download kernel $KERNEL_VERSION from ibiblio
# and then copy it as vmlinuz/kernel-modules.sfs

### configuration
SRC_URL=http://distro.ibiblio.org/fatdog/kernels/710
#KERNEL_VERSION=3.12.9 # default is blank - use "vmlinuz"
KVER=${KERNEL_VERSION:+-$KERNEL_VERSION} # prepend dash
MICROCODE_DATE=${MICROCODE_DATE:-20180111} # overriden by build-iso.sh

### main
mkdir -p kernel
if ! [ -e kernel/vmlinuz$KVER ]; then
	wget -P kernel -c $SRC_URL/vmlinuz$KVER
	wget -P kernel -c $SRC_URL/kernel-modules.sfs$KVER
fi
if ! [ -e kernel/microcode-update-${MICROCODE_DATE}.cpio ]; then
	wget -N -P kernel -c $SRC_URL/microcode-update-${MICROCODE_DATE}.cpio
fi
if [ "$KVER" ] && ! [ -e kernel/vmlinuz ]; then
	ln -f kernel/vmlinuz$KVER kernel/vmlinuz
	ln -f kernel/kernel-modules.sfs$KVER kernel/kernel-modules.sfs
fi
echo vmlinuz$KVER ready.
